<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/white"
    android:orientation="vertical">

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/line_table" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingEnd="15dp"
        android:paddingStart="5dp">

        <CheckBox
            android:id="@+id/check_box"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:clickable="false" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="10dp"
                android:paddingStart="5dp"
                android:paddingTop="10dp">

                <ImageView
                    android:id="@+id/image_view_sim"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginEnd="10dp"
                    android:src="@drawable/ic_buy_sim" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/phone_number"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size" />

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:id="@+id/tv_sim_number"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="0181234567"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/large_text_size" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_sim_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:text="$0"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="10dp"
                android:paddingStart="5dp"
                android:paddingTop="10dp">

                <ImageView
                    android:id="@+id/image_view_sim_card_price"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginEnd="10dp"
                    android:src="@drawable/ic_sim_price" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_weight="1"
                    android:layout_gravity="center"
                    android:orientation="vertical">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/phone_number"
                        android:visibility="gone"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size" />

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/sim_price"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/large_text_size" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_sim_card_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:text="$0.0"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="10dp"
                android:paddingStart="5dp"
                android:paddingTop="10dp">

                <ImageView
                    android:id="@+id/image_view_top_up"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginEnd="10dp"
                    android:src="@drawable/ic_topup_pink" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/top_up"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size" />

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Top Up Amount"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/large_text_size" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_top_up_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:text="$0"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="10dp"
                android:paddingStart="5dp"
                android:paddingTop="10dp">

                <ImageView
                    android:id="@+id/image_view_plan"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginEnd="10dp"
                    android:src="@drawable/ic_one_plan" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/plan_subscription"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size" />

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:id="@+id/tv_plan"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="One Plan"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/large_text_size" />
                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:paddingBottom="2dp"
                    android:text="$0.00"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/view_add_ons"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:background="@color/line_table" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rlv_addons"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/line_table" />

    <LinearLayout
        android:id="@+id/layout_total"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/colorPinkSoft"
            android:paddingBottom="5dp"
            android:paddingEnd="15dp"
            android:paddingStart="57dp"
            android:paddingTop="5dp">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/total"
                android:textColor="@android:color/black" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="$"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/large_text_size" />

            <TextView
                android:id="@+id/tv_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/line_table" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="10dp"
            android:background="@color/line_table" />
    </LinearLayout>
</LinearLayout>